## aolserver 3.0rc2-4

=== Makefile ===
#
# Makefile --
#
#      Compile, link, and install AOLserver.
#


include ./include/Makefile.global

#
# AOLserver Dynamically-Loaded Modules
#
#  Choose the modules you want and put them in the MODULES variable below.
#  A typical web server might load nssock, nslog, and nsperm.
#
#   nssock      -- serving HTTP
#   nsssl2      -- serving HTTPS (requires BSAFE 3 library)
#   nscgi       -- CGI module
#   nscp        -- Control port remote administration interface
#   nslog       -- Common log format module
#   nsperm      -- Permissions module
#
#   nsunix      -- serving HTTP over Unix domain socket
#   nsvhr       -- Virtual hosting redirector
#
#   nsext       -- External database driver module
#   nspd        -- Archive library for building an external driver
#   nspostgres  -- Postgres driver (requires Postgres library)
#   nssybpd     -- Sybase driver (requires Sybase library and nspd)
#   nssolid     -- Solid driver (requires Solid library)
#

MODULES   = nssock nscgi nscp nslog nsperm nsext nspd nspostgres
#MODULES  = nsssl2 nspostgres nssybpd nssolid nsunix nsvhr


#
# AOLserver main executable statically-links the thread and tcl libraries.
#
NSDDIRS   = thread tcl8.3.0 nsd

ALLDIRS   = $(NSDDIRS) $(MODULES)

all:
	@for i in $(ALLDIRS); do \
		echo "building \"$$i\""; \
		( cd $$i && $(MAKE) all ) || exit 1; \
	done

#
# Installation to $(INST) directory
#
#  Note:  Dependencies are checked in the individual directories.
#
install:
	$(MKDIR) $(INSTBIN)
	$(MKDIR) $(INSTLOG)
	$(MKDIR) $(INSTTCL)
	$(MKDIR) $(INSTSRVMOD)
	$(MKDIR) $(INSTSRVPAG)
	$(CP) -r tcl $(INSTMOD)
	$(CP) scripts/translate-ini $(INSTBIN)
	$(CP) scripts/translate-tcl $(INSTBIN)
	test -d $(INST)/nsd.tcl           \
		|| $(CP) scripts/nsd.tcl $(INST)
	test -d $(INSTSRVPAG)/index.html  \
		|| $(CP) scripts/index.html $(INSTSRVPAG)
	@for i in $(ALLDIRS); do \
		echo "installing \"$$i\""; \
		( cd $$i && $(MAKE) install) || exit 1; \
	done


#
# Cleaning rules.
#
#    clean:      remove objects
#    distclean:  clean for non-CVS distribution
#
clean:
	@for i in $(ALLDIRS); do \
		echo "cleaning \"$$i\""; \
		( cd $$i && $(MAKE) $@) || exit 1; \
	done

distclean:
	@for i in $(ALLDIRS); do \
		echo "distcleaning \"$$i\""; \
		( cd $$i && $(MAKE) $@) || exit 1; \
	done
	$(FIND) . -name \*~ -exec $(RM) {} \;
	$(FIND) . -name CVS -exec $(RM) -r {} \; -prune
	$(FIND) . -name .cvsignore -exec $(RM) {} \;
	$(FIND) . -name TODO -exec $(RM) {} \;

=== nscgi/Makefile ===

#
# Module name
#
MOD      =  nscgi.so

#
# Objects to build
#
OBJS     =  nscgi.o

include  ../include/Makefile.module

=== nscp/Makefile ===

#
# Module name
#
MOD      =  nscp.so

#
# Objects to build.
#
OBJS     =  nscp.o


include  ../include/Makefile.module

=== nsd/Makefile ===

include ../include/Makefile.global

LIBS	+= -lm

OBJS = \
        adp.o adpfancy.o auth.o binder.o cache.o callbacks.o config.o \
        conn.o crypt.o dbdrv.o dbinit.o dbtcl.o dbutil.o dns.o drv.o \
        dstring.o exec.o fastpath.o fd.o filter.o httptime.o htuu.o \
        id.o index.o keepalive.o lisp.o listen.o log.o main.o \
        mimetypes.o modload.o nsconf.o nsmain.o \
        nsthread.o op.o pathname.o pidfile.o proc.o \
        quotehtml.o random.o request.o return.o rollfile.o sched.o \
        serv.o set.o sock.o sockcallback.o str.o \
        tclcmds.o tclconf.o tclenv.o tclfile.o tclinit.o tclmisc.o \
        tclop.o tclresp.o tclsched.o tclset.o tclsock.o tclstats.o \
        tclthread.o tclvar.o unix.o url.o \
        urlencode.o urlopen.o urlspace.o

TCL76STUB = tclstub76.o
TCL8XSTUB = tclstub8x.o


#
# Name the executables
#
NSD7      = nsd76
NSD8      = nsd8x


all: $(NSD8)

#
# Tcl 7.6:  Our hacked version of Tcl 7.6 is fast and robust.
#
$(NSD7): $(LIBTCL76) $(TCL76STUB) $(OBJS)
	$(CC) $(LDFLAGS) $(TCL76STUB) $(OBJS) $(LIBTCL76) $(LIBNSTHREAD) $(LIBS) -o $@


#
# Tcl 8.2:  Slower but at least it's Tcl 8.x.
#
$(NSD8): $(LIBNSTHREAD) $(LIBTCL8X) $(TCL8XSTUB) $(OBJS)
	$(CC) $(LDFLAGS) $(TCL8XSTUB) $(OBJS) $(LIBTCL8X) $(LIBNSTHREAD) $(LIBS) -o $@


#
# Tcl-dependent objects
#
$(TCL76STUB) $(TCL8XSTUB): tclstubs.cpp tclnsshare.cpp tclinvoke.cpp

#
# Installation
#
#  Note: The modern Tcl 8.x nsd is known as "nsd8x", not "nsd82" or "nsd83".
#        The older Tcl 7.6 nsd will remain as "nsd76".
#
install: $(NSD8)
	$(RM) $(INSTBIN)/nsd82 $(INSTBIN)/nsd
	$(RM) $(INSTBIN)/$(NSD7) $(INSTBIN)/$(NSD8)
	$(CP) $(NSD8) $(INSTBIN)
	cd $(INSTBIN) ; $(RM) nsd ; $(LN) ./$(NSD8) nsd

#
# Clean the directory to pre-built state.
#
clean:
	$(RM) $(NSD7) $(NSD8) $(OBJS) $(TCL76STUB) $(TCL8XSTUB) so_locations

clobber: clean
	$(RM) *.so *.o *.a *~

distclean: clobber
	$(RM) TAGS core

=== nsexample/Makefile ===
#
# $Header: /cvsroot/aolserver/aolserver3/nsexample/Makefile,v 1.2 2000/03/17 07:36:38 kriston Exp $
#
# nsexample --
#
#      Example AOLserver module Makefile.
#

#
# Module name
#
MOD      =  nsexample.so

#
# Objects to build
#
OBJS     =  nsexample.o

#
# Header files
#
HDRS     =  

#
# Extra libraries
#
MODLIBS  =  

#
# Compiler flags
#
CFLAGS   =  


include  ../include/Makefile.module

=== nsext/Makefile ===

#
# Module name
#
MOD       =  nsext.so

#
# Objects to build.
#
OBJS      =  nsext.o nsextmsg.o

#
# Header files
#
HDRS      =  nsextmsg.h


include  ../include/Makefile.module

=== nslog/Makefile ===

#
# Module name
#
MOD      =  nslog.so

#
# Objects to build
#
OBJS     =  nslog.o

#
# Installation directory for data files
#
MODDIR   =  nslog


############################################################
#
# Special copy of ../include/Makefile.module appears below
#
#  Note:  This is atypical of most modules.  The standard
#         Makefile.module is usually all you will ever need.
#

include ../include/Makefile.global

all: $(MOD)

# Override LIBS variable
LIBS=

$(MOD): $(OBJS)
	$(RM) $(MOD)
	$(LDSO) -o $(MOD) $(OBJS) $(MODLIBS)

$(OBJS): $(HDRS)

install: all
	$(RM) $(INSTBIN)/$(MOD)
	$(CP) $(MOD) $(INSTBIN)
	$(MKDIR) $(INSTSRVMOD)/$(MODDIR)

clean:
	$(RM) $(OBJS) $(MOD) so_locations

clobber: clean
	$(RM) *.so *.o *.a *~

distclean: clobber
	$(RM) TAGS core

=== nspd/Makefile ===

include ../include/Makefile.global

#
# Specify the name of the library.
#
TARGET	   =  libnspd.a


#
# Objects to build
#

OBJS       =  listen.o log.o main.o
NSEXTMSG   =  ../nsext/nsextmsg.o

#
# Link the objects into a library.
#

all: $(TARGET)

$(TARGET): $(OBJS) $(NSEXTMSG)
	$(AR) $(ARFLAGS) $(TARGET) $(OBJS) $(NSEXTMSG)


#
# Installation (empty rule)
#
install:


#
# Clean the directory to pre-built state.
#
clean:
	$(RM) $(OBJS) $(TARGET) so_locations

clobber: clean
	$(RM) *.so *.o *.a *~

distclean: clobber
	$(RM) TAGS core

=== nsperm/Makefile ===
#
# nscgi Makefile
#
#   This module installs several files into these directories:
#     modules/tcl/nsperm
#     servers/server1/modules/nsperm
#

#
# Module name
#
MOD      =  nsperm.so

#
# Objects to build.
#
OBJS     =  nsperm.o

#
# Installation directory for data files
#
MODDIR   =  nsperm


############################################################
#
# Special copy of ../include/Makefile.module appears below
#
#  Note:  This is atypical of most modules.  The standard
#         Makefile.module is usually all you will ever need.
#

include ../include/Makefile.global

all: $(MOD)

# Override LIBS variable
LIBS=

$(MOD): $(OBJS)
	$(RM) $(MOD)
	$(LDSO) -o $(MOD) $(OBJS) $(MODLIBS)

$(OBJS): $(HDRS)

install: all
	$(RM) $(INSTBIN)/$(MOD)
	$(CP) $(MOD) $(INSTBIN)
	$(MKDIR) $(INSTTCL)/$(MODDIR)
	$(MKDIR) $(INSTSRVMOD)/$(MODDIR)
	test -d $(INSTSRVMOD)/$(MODDIR)/passwd \
		|| $(CP) passwd group hosts.allow hosts.deny perms $(INSTSRVMOD)/$(MODDIR)
	$(CP) init.tcl compat.tcl $(INSTTCL)/$(MODDIR)


clean:
	$(RM) $(OBJS) $(MOD) so_locations

clobber: clean
	$(RM) *.so *.o *.a *~

distclean: clobber
	$(RM) TAGS core

=== nspostgres/Makefile ===

#
# Module name
#
MOD       =  nspostgres.so

#
# Objects to build.
#
OBJS      =  nspostgres.o

#
# Extra libraries
#
POSTGRES  =  /usr/include/postgresql
MODLIBS   =  -L$(POSTGRES)/lib -lpq -lcrypt 

#
# Extra compiler flags
#
CFLAGS    =  -I$(POSTGRES)


include ../include/Makefile.module

=== nssock/Makefile ===

#
# Module name
#
MOD       =  nssock.so

#
# Objects to build.
#
OBJS      =  nssock.o


include  ../include/Makefile.module

=== nssolid/Makefile ===

#
# Module name
#
MOD       =  nssolid.so

#
# Objects to build.
#
OBJS      =  nssolid.o

#
# Header files
#
HDRS      =  

#
# Extra libraries
#
MODLIBS   =  $(SOLID)/lib/libcli.a

#
# Extra compiler flags
#
CFLAGS    =  -I$(SOLID)/include


include ../include/Makefile.module

=== debian/changelog ===
aolserver (3.0rc2-4) frozen unstable; urgency=high

  * Many additional bug fixes based on reports from jtr...
  * Fixes some postgres 6.5/7.0 stuff.  Closes:Bug#63151
  * Correct aolserver-postgres postrm.  Closes:Bug#63152
  * Correct purging issues in postrm.   Closes:Bug#63153
  * Fixes broken aolpgcofig.  Closes:Bug#63281

 -- Brent A. Fulgham <bfulgham@debian.org>  Sun, 30 Apr 2000 16:43:11 -0800

aolserver (3.0rc2-3) frozen unstable; urgency=high

  * A special bug-fix award should go to Joachim R. <jtr@uni-bonn.de>
    for fixing the following two bugs in my work:
  * Fixes broken adduser in preinst.  Closes:Bug#62965
  * Fixes aolserver-postgres to better handle differences in
    postgresql 6.5.3 and 7.0betaX (for createuser activities)
    Closes:Bug#62966

 -- Brent A. Fulgham <bfulgham@debian.org>  Mon, 24 Apr 2000 19:15:21 -0800

aolserver (3.0rc2-2) frozen unstable; urgency=high

  * Fixes broken naming convention.  Closes:Bug#62632
  * Make better use of Tcl features of nsd.tcl files to minimize
    string substitution requirements
  * Fixes to aolserver-postgres to better handle differences in
    postgresql 6.5.3 and 7.0betaX.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat, 22 Apr 2000 13:40:32 -0800

aolserver (3.0rc2-1) frozen unstable; urgency=high

  * Release candidate 2 -- Moves Debian fixes into upstream source.
  * Upgrade/enhanced postgres driver sources
  * Better handling of postgres.init modifications
  * Fixes abort problem when accessing certain directories with Tcl
  * Fix to keepalive code that stomps out a race condition
  * "ADP" is the standard scripting tag (rather than fancy).
  * Add a dependency for aolserver-postgres on aolserver.  Duh!  Closes:Bug#62075

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat, 9 Apr 2000 20:00:32 -0800

aolserver (3.0rc1-3) frozen unstable; urgency=high

  * Corrects a typo in aolserver-postgres.postinst.
  * Corrects an unneeded dependency in aoladddb that prevented it from running
    on systems that did not have libpgperl.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat, 5 Apr 2000 20:00:32 -0800

aolserver (3.0rc1-2) frozen unstable; urgency=high

  * Corrects an update bug in aolserver-postgres

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat, 3 Apr 2000 20:15:32 -0800

aolserver (3.0rc1-1) unstable; urgency=high

  * This marks the official Release Candidate 1 (plus patches).
  * Correctly handle AOLserver permissions.  Closes:Bug#61361
  * Better configuration scripts and corrected some problems with
    the pre/post remove handling.  This was a problem based on some
    feedback I received via E-mail (but no bug report filed).
  * The postgres module has been moved to its own package.  This forced
    me to notice that the postgres module had never worked properly.  Now
    it does.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat, 1 Apr 2000 19:45:32 -0800

aolserver (3.0c-4) frozen unstable; urgency=high

  * Correct SPARC build problem (Thanks to Ben Collins)  Closes:Bug#59435

 -- Brent A. Fulgham <bfulgham@debian.org>  Thu, 3 Feb 2000 18:45:36 -0800

aolserver (3.0c-3) frozen unstable; urgency=high

  * Remove architecture line from control -- this package is
    (theoretically) architecture-independent.  Closes:Bug#58869

 -- Brent A. Fulgham <bfulgham@debian.org>  Tue, 29 Feb 2000 20:25:36 -0800

aolserver (3.0c-2) frozen unstable; urgency=high

  * Remove reference to unneeded dqd_tclpages.so module (it's now part
    of the stock server build).

 -- Brent A. Fulgham <bfulgham@debian.org>  Wed, 23 Feb 2000 20:25:36 -0800

alserver (3.0c-1) frozen unstable; urgency=high

  * Well, it didn't take long for a new release to come out.  Here it is.
  * Fixed a build dependency, Closes:Bug#58064
  * The changes I made to the source seem to have fixed the aolserver
    build issue on Alpha.  It builds properly, but may not run (I can't
    tell since I don't have access to an alpha.  I'm closing the bug,
    since the filer hasn't responded and it fixes the "build" bug.  We
    can always file a new "runs" bug.  Closes:Bug#55228

 -- Brent A. Fulgham <bfulgham@debian.org>  Fri, 18 Feb 2000 23:25:36 -0800

aolserver (3.0b-1) frozen unstable; urgency=high

  * Fix startup bug that prevented it from running properly
    in some linux installations.

 -- Brent A. Fulgham <bfulgham@debian.org>  Fri, 11 Feb 2000 22:15:19 -0800

aolserver (3.0a-2) frozen unstable; urgency=high

  * Fix bug in install script where install failed if no /var/www
    directory existed.
  * Added build dependency for sharutils, Closes:Bug#55418
  * Using new AOLserver branding for logo.
  * Updated aolsrvconfig script so it enters a password value for the
    control port.  This lessens a potential security threat.
  * Fix to allow compilation under Alpha architecture.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat, 28 Jan 2000 11:15:19 -0800

aolserver (3.0a-1) unstable; urgency=low

  * Major new beta release.  See the changelog for details,
    but suffice it to say that it has some efficiency improvements,
    bugfixes, and revisions.
  * We are now at Tcl 8.2.3 -- but it's still a private version due
    to a few threading issues in "plain" Tcl.  The goal is to
    be using "plain" Tcl soon.

 -- Brent A. Fulgham <bfulgham@debian.org>  Tue, 11 Jan 2000 21:00:19 -0800

aolserver (3.0-4) unstable; urgency=low

  * Added patch by Rob Mayoff <mayoff@dqd.com> to enable the parsing
    of tcl scripts within the AOLserver process.  This should help get 
    some things (like ACS) working.
  * Sometimes AOLserver says it didn't start on system boot.  It actually
    does start, but I had the wrong field in a 'cut' statement.  This
    should work now.
  * I added a fun little example (from the AOLserver Tcl docs) to the
    example webpage.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat, 8 Jan 2000 19:18:09 -0800

aolserver (3.0-3) unstable; urgency=low

  * Changed aolsrvcfg script to actually modify the /etc/aolserver/nsd.tcl


=== debian/control ===
Source: aolserver
Section: web
Priority: optional
Maintainer: Brent A. Fulgham <bfulgham@debian.org>
Standards-Version: 2.4.0.0
Build-Depends: postgresql-dev, sharutils, perl5

Package: aolserver
Architecture: any
Depends: ${shlibs:Depends}, mime-support, perl5
Suggests: aolserver-doc, aolserver-postgres, acs-pg
Provides: httpd
Priority: optional
Description: AOL Web Server 
 This is the web engine that powers the mighty America On-Line.  It
 is capable of serving a tremendous number of users, and can publish
 hundreds of virtual servers within the same process at the same time.
 .
 It is similar in many respects to Zope, except based largely on Tcl.
 It is multi-threaded, and has a C API that can be used to extend
 its functionality.
 .
 The Debian release of this package has been configured to work 
 with the PostgreSQL DBMS.  

Package: aolserver-postgres
Architecture: any
Depends: ${shlibs:Depends}, perl5, postgresql, aolserver
Suggests: acs-pg
Priority: optional
Description: PostgreSQL Driver for the AOLserver
 This is the PostgreSQL database driver for the AOLserver.  It has
 been moved to its own package to facilitate future releases of
 other database drivers.

Package: aolserver-doc
Architecture: all
Recommends: www-browser
Suggests: aolserver
Priority: optional
Description: AOL Web Server (Documentation) 
 This package contains three reference manuals relating to AOLserver.
 The manuals document Version 3.0 of AOLserver.
 .
 (1)  The AOLserver Administrator's Guide covers the setup options
      and security issues relating to running the server.
 (2)  The AOLserver Tcl Developer's Guide covers the Tcl API which
      can be used to add features to your web pages (similar in
      some respects to PHP or Microsoft's ASP)
 (3)  The AOLserver C Developer's Guide covers the C API which can
      be used to create new modules to extend AOLserver.
 .
 I plan to add some example pages in the future.

=== debian/rules ===
#!/usr/bin/make -f
# MAde with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE=aolserver
DOCDIR=aolserver-doc
PGDIR=aolserver-postgres

build: build-stamp
build-stamp:
	dh_testdir
	bash -n debian/aolserver.postinst
	bash -n debian/aolserver-doc.postinst
	bash -n debian/aolserver-postgres.postinst
	bash -n debian/aolserver.postrm
	bash -n debian/aolserver-doc.postrm
	bash -n debian/aolserver-postgres.postrm
	bash -n debian/aolserver.preinst
	bash -n debian/aolserver.prerm
	bash -n debian/aolserver-doc.prerm
	bash -n debian/aolserver-postgres.postrm
	perl -c debian/aolsrvconfig
	perl -c debian/aolpgconfig
	perl -c debian/aoladddb
	$(MAKE) install	
	
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp
	-rm -r `pwd`/root

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean

	dh_clean
	

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	dh_installmenu

	# Add here commands to install the package into debian/tmp.
	cp -ar /tmp/aolserver/* `pwd`/debian/tmp/usr/lib/aolserver
	cp `pwd`/debian/init.example `pwd`/debian/tmp/usr/lib/aolserver/bin/init
	cp `pwd`/debian/table.example `pwd`/debian/$(PGDIR)/usr/share/doc/aolserver-postgres/examples
	cp `pwd`/include/* `pwd`/debian/tmp/usr/include/aolserver
	rm `pwd`/debian/tmp/usr/include/aolserver/Makefile.*
	rm `pwd`/debian/tmp/usr/include/aolserver/tcl*
	mv `pwd`/debian/tmp/usr/lib/aolserver/bin/nspostgres.so `pwd`/debian/$(PGDIR)/usr/lib/aolserver/bin
	rm -r `pwd`/debian/tmp/usr/lib/aolserver/log
	cp `pwd`/debian/aolsrvconfig `pwd`/debian/tmp/usr/sbin
	chmod +x `pwd`/debian/tmp/usr/sbin/aolsrvconfig
	cp `pwd`/debian/aolpgconfig `pwd`/debian/$(PGDIR)/usr/sbin
	chmod +x `pwd`/debian/$(PGDIR)/usr/sbin/aolpgconfig
	cp `pwd`/debian/aoladddb `pwd`/debian/$(PGDIR)/usr/sbin
	chmod +x `pwd`/debian/$(PGDIR)/usr/sbin/aoladddb

	# Patch up the nsd.tcl file for Debian use
	cp `pwd`/debian/nsd.tcl `pwd`/debian/tmp/usr/share/doc/aolserver/examples
	cp `pwd`/debian/cron.conf `pwd`/debian/tmp/usr/share/doc/aolserver/examples/cron.conf
	cp `pwd`/debian/cron.daily `pwd`/debian/tmp/etc/cron.daily/aolserver
	chmod +x `pwd`/debian/tmp/etc/cron.daily/aolserver
	
	# Move the documentation
	cp `pwd`/README.txt `pwd`/debian/tmp/usr/share/doc/aolserver/README
	cp `pwd`/debian/aolsrvconfig.8 `pwd`/debian/tmp/usr/share/man/man8
	cp `pwd`/debian/aolpgconfig.8 `pwd`/debian/$(PGDIR)/usr/share/man/man8
	cp `pwd`/debian/aoladddb.8 `pwd`/debian/$(PGDIR)/usr/share/man/man8
	cp `pwd`/doc/nspostgres.txt `pwd`/debian/$(PGDIR)/usr/share/doc/aolserver-postgres/README
	cp `pwd`/debian/testdb.adp `pwd`/debian/$(PGDIR)/usr/share/doc/aolserver-postgres/examples/testdb.adp

	# Move the examples
	cp -ar `pwd`/nsexample `pwd`/debian/tmp/usr/share/doc/aolserver/examples/c
	cp `pwd`/debian/intro.html `pwd`/debian/tmp/usr/share/doc/aolserver/examples
	cp `pwd`/debian/app3.tcl `pwd`/debian/tmp/usr/lib/aolserver/servers/server1/modules/tcl

	# Install the icons
	uudecode `pwd`/debian/aolserver.png.uu --output=`pwd`/debian/tmp/usr/share/aolserver/icons/aolserver.png
	uudecode `pwd`/debian/openlogo-50.jpg.uu --output=`pwd`/debian/tmp/usr/share/aolserver/icons/openlogo-50.jpg

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.
	cp -ar `pwd`/doc/admin `pwd`/debian/$(DOCDIR)/usr/share/doc/aolserver-doc/html
	cp -ar `pwd`/doc/cdev `pwd`/debian/$(DOCDIR)/usr/share/doc/aolserver-doc/html
	cp -ar `pwd`/doc/tcldev `pwd`/debian/$(DOCDIR)/usr/share/doc/aolserver-doc/html
	cp -ar `pwd`/doc/driver `pwd`/debian/$(DOCDIR)/usr/share/doc/aolserver-doc/html
	cp `pwd`/doc/*.txt `pwd`/debian/$(DOCDIR)/usr/share/doc/aolserver-doc
	cp `pwd`/doc/index.html `pwd`/debian/$(DOCDIR)/usr/share/doc/aolserver-doc/html/index.html
	cp `pwd`/debian/aolserver-doc.dhelp `pwd`/debian/$(DOCDIR)/usr/share/doc/aolserver-doc/html/.dhelp
	cp `pwd`/debian/aolserver-doc.dwww-index `pwd`/debian/$(DOCDIR)/usr/share/doc/aolserver-doc/html/.dwww-index

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installemacsen
#	dh_installinit
#	dh_installcron
#	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs 
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## aolserver 3.4.2

=== Makefile ===
#
# Makefile --
#
#      Compile, link, and install AOLserver.
#

#
# Tell make where AOLserver source code lives.
#
NSHOME    =  $(shell pwd)
MAKEFLAGS += NSHOME=$(NSHOME)

include $(NSHOME)/include/Makefile.global

#
# AOLserver Dynamically-Loaded Modules
#
#  Choose the modules you want and put them in the MODULES variable below.
#  A typical web server might load nssock, nslog, and nsperm.
#
#   nssock      -- serves HTTP (nssock) and HTTPS (nsssl)
#   nscgi       -- CGI module
#   nscp        -- Control port remote administration interface
#   nslog       -- Common log format module
#   nsperm      -- Permissions module
#   nsext       -- External database driver module
#   nspd        -- Archive library for building an external driver
#

MODULES   =  nssock nscgi nscp nslog nsperm nsext nspd 

ALLDIRS   = nsd $(MODULES)

#
# Main build rule.
#
all: libtcl76 libtcl8x libnsthread
	@for i in $(ALLDIRS); do \
		$(ECHO) "building \"$$i\""; \
		( cd $$i && $(MAKE) all ) || exit 1; \
	done

#
# Installation rule.
#
install: all
	$(MKDIR)                    $(INSTBIN)
	$(MKDIR)                    $(INSTLOG)
	$(MKDIR)                    $(INSTTCL)
	$(MKDIR)                    $(INSTLIB)
	$(MKDIR)                    $(INSTLIB)/tcl8.3
	( cd tcl8.3.2/library && $(CP) -r . $(INSTLIB)/tcl8.3 || exit 1; )
	$(MKDIR)                    $(INSTSRVMOD)
	$(MKDIR)                    $(INSTSRVPAG)
	$(CP) -r tcl                $(INSTMOD)
	$(CP) nsd/translate-ini     $(INSTBIN)
	$(CP) -r include            $(INSTINC)
	$(CP) nsd/sample-config.tcl $(INST)
	test -f $(INSTSRVPAG)/index.html \
		|| $(CP) doc/default-home.html $(INSTSRVPAG)/index.html
	@for i in $(ALLDIRS); do \
		$(ECHO) "installing \"$$i\""; \
		( cd $$i && $(MAKE) install) || exit 1; \
	done
	(cd thread && $(MAKE) install)


#
# Test pages and scripts installation rule.
#
install-tests:
	$(CP) -r tests $(INSTSRVPAG)

#
# Cleaning rule.
#
clean: libtcl76-clean libtcl8x-clean libnsthread-clean
	@for i in $(ALLDIRS); do \
		$(ECHO) "cleaning \"$$i\""; \
		( cd $$i && $(MAKE) $@) || exit 1; \
	done

=== nscgi/Makefile ===

NSHOME   =  ..

#
# Module name
#
MOD      =  nscgi.so

#
# Objects to build
#
OBJS     =  nscgi.o

include  $(NSHOME)/include/Makefile.module

=== nscp/Makefile ===

NSHOME   =  ..

#
# Module name
#
MOD      =  nscp.so

#
# Objects to build.
#
OBJS     =  nscp.o


include  $(NSHOME)/include/Makefile.module

=== nsd/Makefile ===

NSHOME   =  ..

include $(NSHOME)/include/Makefile.global


LIBS	+= $(NSDLIBS)

OBJS = \
        adp.o adpfancy.o auth.o binder.o cache.o callbacks.o config.o \
        conn.o crypt.o dbdrv.o dbinit.o dbtcl.o dbutil.o dns.o drv.o \
        dstring.o exec.o fastpath.o fd.o filter.o httptime.o htuu.o \
        id.o index.o keepalive.o lisp.o listen.o log.o main.o \
        mimetypes.o modload.o nsconf.o nsmain.o \
        nsthread.o op.o pathname.o pidfile.o proc.o \
        quotehtml.o random.o request.o return.o rollfile.o sched.o \
        serv.o set.o sock.o sockcallback.o str.o \
        tclcmds.o tclconf.o tclenv.o tclfile.o tclinit.o tclmisc.o \
        tclop.o tclresp.o tclsched.o tclset.o tclsock.o tclstats.o \
        tclxkeylist.o tclthread.o tclvar.o unix.o url.o \
        urlencode.o urlopen.o urlspace.o

TCL76STUB = tclstub76.o
TCL8XSTUB = tclstub8x.o


#
# Name the executables
#
NSD7      = nsd76
NSD8      = nsd8x


all: $(NSD7) $(NSD8)

#
# Tcl 7.6
#
$(NSD7): libtcl76 libnsthread $(TCL76STUB) $(OBJS) stamp.c
	$(CC) -c stamp.c
	$(CC) $(LDFLAGS) $(TCL76STUB) stamp.o $(OBJS) $(LIBTCL76) $(LIBNSTHREAD) $(LIBS) -o $@


#
# Tcl 8.x
#
$(NSD8): libtcl8x libnsthread $(TCL8XSTUB) $(OBJS) stamp.c
	$(CC) -c stamp.c
	$(CC) $(LDFLAGS) $(TCL8XSTUB) stamp.o $(OBJS) $(LIBTCL8X) $(LIBNSTHREAD) $(LIBS) -o $@


#
# Tcl-dependent objects
#
$(TCL76STUB) $(TCL8XSTUB): tclstubs.cpp tclnsshare.cpp tclinvoke.cpp

$(OBJS): nsd.h nsconf.h


#
# Installation
#
#   Tcl 7.6 is nsd76.  Tcl 8.x is nsd8x.
#
install: $(NSD7) $(NSD8)
	$(RM) $(INSTBIN)/nsd82 $(INSTBIN)/nsd
	$(RM) $(INSTBIN)/$(NSD7) $(INSTBIN)/$(NSD8)
	$(CP) $(NSD7) $(NSD8) $(INSTBIN)
	cd $(INSTBIN) ; $(RM) nsd ; $(LN) ./$(NSD8) nsd

#
# Clean the directory to pre-built state.
#
clean:
	$(RM) $(NSD7) $(NSD8) $(OBJS) $(TCL76STUB) $(TCL8XSTUB) so_locations

clobber: clean
	$(RM) *.so *.o *.a *~

distclean: clobber
	$(RM) TAGS core

=== nsext/Makefile ===

NSHOME    =  ..

#
# Module name
#
MOD       =  nsext.so

#
# Objects to build.
#
OBJS      =  nsext.o nsextmsg.o

#
# Header files
#
#  Note: nsextmsg.h lives in AOLserver's include directory
#
HDRS      =  $(NSHOME)/include/nsextmsg.h


include  $(NSHOME)/include/Makefile.module

=== nslog/Makefile ===
--- 
+++ 
@@ -1,3 +1,5 @@
+
+NSHOME   =  ..
 
 #
 # Module name
@@ -23,7 +25,7 @@
 #         Makefile.module is usually all you will ever need.
 #
 
-include ../include/Makefile.global
+include $(NSHOME)/include/Makefile.global
 
 all: $(MOD)

=== nspd/Makefile ===
--- 
+++ 
@@ -1,5 +1,7 @@
 
-include ../include/Makefile.global
+NSHOME     =  ..
+
+include $(NSHOME)/include/Makefile.global
 
 #
 # Specify the name of the library.
@@ -12,7 +14,7 @@
 #
 
 OBJS       =  listen.o log.o main.o
-NSEXTMSG   =  ../nsext/nsextmsg.o
+NSEXTMSG   =  $(NSHOME)/nsext/nsextmsg.o
 
 #
 # Link the objects into a library.
@@ -25,9 +27,11 @@
 
 
 #
-# Installation (empty rule)
+# Installs to the lib/ directory of the binary distribution.
 #
-install:
+install: all
+	$(RM) $(INSTLIB)/libnspd.a
+	$(CP) libnspd.a $(INSTLIB)
 
 
 #

=== nsperm/Makefile ===
--- 
+++ 
@@ -5,6 +5,8 @@
 #     modules/tcl/nsperm
 #     servers/server1/modules/nsperm
 #
+
+NSHOME   =  ..
 
 #
 # Module name
@@ -30,7 +32,7 @@
 #         Makefile.module is usually all you will ever need.
 #
 
-include ../include/Makefile.global
+include $(NSHOME)/include/Makefile.global
 
 all: $(MOD)

=== nssock/Makefile ===
#
# Stub to include nsssl or nssock makefile.
#

all:
	$(MAKE) -f Makefile.sock
	$(MAKE) -f Makefile.ssl

install:
	$(MAKE) -f Makefile.sock install
	$(MAKE) -f Makefile.ssl install

clean:
	$(MAKE) -f Makefile.sock clean
	$(MAKE) -f Makefile.ssl clean

=== tcl7.6/Makefile ===

#
# Tcl 7.6 Library Makefile
#

NSHOME   = ..

include $(NSHOME)/include/Makefile.global


ifeq (gcc,$(CC))
    ENABLE_GCC=--enable-gcc
endif

TCLDIR   = $(shell pwd)/unix

all: $(TCLDIR)/Makefile
	(cd $(TCLDIR); $(MAKE) CFLAGS='$(CFLAGS)' $(TCL76_LIB))

$(TCLDIR)/Makefile: $(TCLDIR)/Makefile.in $(TCLDIR)/configure
	(cd $(TCLDIR); ./configure $(ENABLE_GCC))

clean:
	(cd $(TCLDIR); $(MAKE) -f Makefile.in distclean)

install: all

=== tcl8.3.2/Makefile ===

#
# Tcl 8.x Library Makefile
#

NSHOME   = ..

include $(NSHOME)/include/Makefile.global


ifeq (gcc,$(CC))
    ENABLE_GCC=--enable-gcc
endif

TCLDIR   =   $(shell pwd)/unix

CFLAGS   += -DUSE_TCL8X -Dfork=ns_fork -Dreaddir=ns_readdir -Dgmtime=ns_gmtime -Dsignal=ns_signal -Dlocaltime=ns_localtime

all: $(TCLDIR)/Makefile
	(cd $(TCLDIR); $(MAKE) CFLAGS='$(CFLAGS)' $(TCL8X_LIB)) 

$(TCLDIR)/Makefile: $(TCLDIR)/Makefile.in $(TCLDIR)/configure
	(cd $(TCLDIR); ./configure $(ENABLE_GCC) --enable-symbols --disable-shared)

clean:
	(cd $(TCLDIR); $(MAKE) -f Makefile.in distclean)

install: all

=== thread/Makefile ===

NSHOME    =  ..

include $(NSHOME)/include/Makefile.global


OBJS      = compat.o cs.o rwlock.o reentrant.o \
            sema.o thread.o tls.o time.o memory.o debug.o \
            pool.o error.o signal.o \
            mutex.o cond.o osthread.o fork.o 

TEST      = test
TEST_OBJS = test.o

CFLAGS    += -I./


all:      $(LIBNSTHREAD) $(TEST)

#
# Link the objects into a static library.
#
$(LIBNSTHREAD): $(OBJS)
	$(RM) $(LIBNSTHREAD)
	$(AR) $(ARFLAGS) $(LIBNSTHREAD) $(OBJS)
	$(RANLIB) $(LIBNSTHREAD)

$(TEST):  $(TEST_OBJS) $(LIBNSTHREAD)
	$(CC) $(LDFLAGS) -o $(TEST) $(TEST_OBJS) $(LIBNSTHREAD) $(LIBS)

#
# Special dependency for the OS interfaces.
#
osthread.o: pthread.cpp sproc.cpp 

$(OBJS): thread.h

#
# Installs to the lib/ directory of the binary distribution.
#
install: all
	$(RM) $(INSTLIB)/libnsthread.a
	$(CP) libnsthread.a $(INSTLIB)

#
# Clean the directory to pre-build state.
#
clean:
	$(RM) $(LIBNSTHREAD) $(TEST) $(OBJS) $(TEST_OBJS) so_locations

clobber: clean
	$(RM) *.so *.o *.a *~

distclean: clobber
	$(RM) TAGS core
